<template>
  <div>
    <nuxt-link v-if="to.name !== ''" :to="to">
      <i class="material-icons">{{ icon }}</i>
    </nuxt-link>
    <button v-else>
      <i class="material-icons">{{ icon }}</i>
    </button>
  </div>
</template>

<script>
export default {
  props: {
    to: {
      type: Object,
      default () {
        return {
          name: ''
        }
      }
    },
    icon: {
      type: String,
      default: ''
    }
  },

  computed: {
    // iconClass () {
    //   return 'text-2xl fas ' + this.faIconClass
    // }
  }
}
</script>
